Core - Bug # 49265

Status: Resolved Priority: Should have
Author: Christian Kuhn Category: Install Tool
Created: 2013-06-19 Assigned To:

Updated: 2013-06-23 Due date: 2013-06-24
TYPO3 Version: 6.2

PHP Version: 53

Complexity: easy

Is Regression:

Sprint Focus:

Subject: Install tool: Warning in upgrade wizard

Description

Related issues:

follows Core - Task # 49162: Rewrite install tool Resolved 2011-10-30

Associated revisions

Revision 76e5255e - 2013-06-19 22:54 - Christian Kuhn

[BUGFIX] Install tool: Warning in upgrade wizard

The 'silent' cache framework table upgrade throws a warning that
explode() expects a string but an array is given in
SqlSchemaMigration getStatementArray(). The upgrade wizard uses
a wrong API call, since this method is already called within
getExpectedDatabaseSchema() of the helper class.

Change-Id: 16cdde020265e730faa07a25ebda41917672ccea7
Resolves: #49265

Related: #49162

Releases: 6.2

Reviewed-on: https://review.typo3.org/21516

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2013-06-19 22:52 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/21516

#2 - 2013-06-19 23:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:76e5255ef540e2c¢593203295¢cc0737647bde8288.
